FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.1.0-1/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

FROM arm32v7/alpine:3.13

COPY --from=qemu /qemu-arm-static /usr/bin/

ADD files /

RUN apk update && apk add weston weston-backend-fbdev weston-shell-desktop \
			  openrc mesa mesa-dri-vc4 weston-backend-drm eudev \
			  libinput weston-terminal
ADD files/weston.sh /usr/local/bin/weston.sh
RUN chmod +x /usr/local/bin/weston.sh

ADD files/pv-weston /etc/init.d/pv-weston
RUN chmod +x /etc/init.d/pv-weston
RUN mkdir -p /etc/runlevels/default/
RUN ln -fs /etc/init.d/pv-weston /etc/runlevels/default/pv-weston

CMD [ "/sbin/init" ]
